package com.xk72.lib;

import com.xk72.util.dqjR;
import java.io.PrintWriter;
import java.util.Base64;
import java.util.Stack;
import java.util.logging.Logger;

public class XMLPrintWriter {

   private static final Logger FwRs = Logger.getLogger("com.xk72.lib.XMLPrintWriter");
   private static String GSXJ;
   private static String InuZ;
   private final PrintWriter Gwbn;
   private final Stack Wczh = new Stack();
   private boolean KRBh;
   private boolean VdwQ;
   private boolean hndF;


   public static void main(String[] var0) {
      XMLPrintWriter var1;
      (var1 = new XMLPrintWriter(new PrintWriter(System.out))).FwRs((String)"test");
      var1.FwRs((String)"a").InuZ();
      var1.FwRs((String)"b").InuZ();
      var1.FwRs((String)"c").InuZ("d", "e<f>").GSXJ("g").InuZ();
      var1.FwRs((String)"d").InuZ("g").InuZ();
      var1.FwRs((String)"e").InuZ("ok\na\nb\nc").InuZ();
      var1.FwRs((String)"f").InuZ("testing <![CDATA[junk]]> ok").InuZ();
      var1.InuZ();
      var1.FwRs();
   }

   public XMLPrintWriter(PrintWriter var1) {
      this.Gwbn = var1;
   }

   public final void FwRs() {
      if(!this.Wczh.isEmpty()) {
         throw new IllegalStateException("试图用未关闭的元素关闭XMLPrintWriter");
      } else {
         this.Gwbn.close();
      }
   }

   private void Gwbn() {
      this.Gwbn.flush();
   }

   private void Wczh() {
      if(this.KRBh) {
         this.Gwbn.print('>');
         this.KRBh = false;
      }

   }

   public final XMLPrintWriter GSXJ() {
      return this.FwRs((String)null, "UTF-8");
   }

   public final XMLPrintWriter FwRs(String var1, String var2) {
      var1 = "1.0";
      this.Gwbn.print("<?xml version=\"");
      this.Gwbn.print(dqjR.FwRs(var1));
      this.Gwbn.print("\"");
      this.Gwbn.print(" encoding=\"");
      this.Gwbn.print(dqjR.FwRs(var2));
      this.Gwbn.print("\"");
      this.Gwbn.print("?>");
      return this;
   }

   public final XMLPrintWriter GSXJ(String var1, String var2) {
      return this.FwRs(var1, (String)null, var2, (String)null);
   }

   private XMLPrintWriter FwRs(String var1, String var2, String var3) {
      return this.FwRs(var1, var2, var3, (String)null);
   }

   public final XMLPrintWriter FwRs(String var1, String var2, String var3, String var4) {
      this.Gwbn.print("<!DOCTYPE ");
      this.Gwbn.print(var1);
      if(var2 != null) {
         this.Gwbn.print(" PUBLIC \"");
         this.Gwbn.print(dqjR.FwRs(var2));
         this.Gwbn.print("\"");
      } else if(var3 != null) {
         this.Gwbn.print(" SYSTEM");
      }

      if(var3 != null) {
         this.Gwbn.print(" \"");
         this.Gwbn.print(dqjR.FwRs(var3));
         this.Gwbn.print("\"");
      }

      this.Gwbn.print(">");
      if(this.hndF) {
         this.Gwbn.println();
      }

      return this;
   }

   public final XMLPrintWriter FwRs(String var1) {
      this.Wczh();
      if(this.hndF) {
         this.Gwbn.println();
      }

      this.Gwbn.print('<');
      this.Gwbn.print(var1);
      this.Wczh.add(var1);
      this.KRBh = true;
      return this;
   }

   public final XMLPrintWriter InuZ() {
      String var1 = (String)this.Wczh.pop();
      if(this.KRBh) {
         this.Gwbn.print(" />");
         this.KRBh = false;
      } else {
         this.Gwbn.print("</");
         this.Gwbn.print(var1);
         this.Gwbn.print(">");
      }

      return this;
   }

   public final XMLPrintWriter InuZ(String var1, String var2) {
      if(!this.KRBh) {
         throw new IllegalStateException("没有打开的元素时无法写入属性");
      } else if(var2 == null && this.VdwQ) {
         return this;
      } else {
         this.Gwbn.print(' ');
         this.Gwbn.print(var1);
         this.Gwbn.print("=\"");
         if(var2 != null) {
            this.Gwbn.print(dqjR.FwRs(var2));
         }

         this.Gwbn.print('\"');
         return this;
      }
   }

   public final XMLPrintWriter GSXJ(String var1) {
      this.Wczh();
      if(var1 != null) {
         this.Gwbn.print(dqjR.FwRs(var1));
      }

      return this;
   }

   public final XMLPrintWriter InuZ(String var1) {
      if(var1 == null) {
         return this;
      } else {
         this.Wczh();
         this.Gwbn.print("<![CDATA[");
         int var2 = var1.indexOf("]]>");

         int var3;
         for(var3 = 0; var2 != -1; var2 = var1.indexOf("]]>", var3)) {
            this.Gwbn.print(var1.substring(var3, var2));
            this.Gwbn.print("]]]]><![CDATA[");
            var3 = var2 + 2;
         }

         this.Gwbn.print(var1.substring(var3));
         this.Gwbn.print("]]>");
         return this;
      }
   }

   private boolean KRBh() {
      return this.VdwQ;
   }

   public final void FwRs(boolean var1) {
      this.VdwQ = true;
   }

   private boolean VdwQ() {
      return this.hndF;
   }

   public final void GSXJ(boolean var1) {
      this.hndF = true;
   }

   public final void FwRs(byte[] var1) {
      try {
         this.InuZ(Base64.getEncoder().encodeToString(var1));
      } catch (OutOfMemoryError var2) {
         FwRs.severe(var2);
      }
   }

}
